<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Car Pricing Widget</title>
    <style>
      @import url('https://fonts.googleapis.com/css2?family=Roboto&display=swap');
    </style>
    <script src="https://code.iconify.design/3/3.0.0/iconify.min.js"></script>
    <style>
      .content {
        display: flex;
        flex-direction: column;
        font-family: 'Roboto', sans-serif;
      }
      .title-box {
        padding: 0 40px 16px;
      }
      .inspection-title {
        margin-bottom: 16px;
        font-size: 20px;
      }
      .state-info {
        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;
        padding: 5px 7px;
        background: #fdcf33;
        border-radius: 16px;
        cursor: pointer;
        width: 100px;
      }
      .state-value {
        font-weight: 400;
        font-size: 12px;
        line-height: 14px;
        color: #173559;
        padding: 0 6px 0 4px;
      }
      .location-image {
        width: 80px;
        height: 56px;
        margin-right: 16px;
        border-radius: 3px;
        font-size: 12px;
        color: #b2b2b2;
        display: -webkit-box;
        overflow: hidden;
        word-break: break-word;
      }
      .details {
        display: flex;
        padding: 16px;
        margin: 4px 0;
        border: 2px solid transparent;
        border-radius: 3px
      }
      .location-name {
        font-size: 14px;
        font-weight: 500;
        line-height: 16px;
        color: #231f20;
        letter-spacing: .2px;
        margin-bottom: 4px;
        margin-top: 0px;
      }
      .location-address {
        font-size: 12px;
        line-height: 14px;
        color: #333;
        display: -webkit-box;
        overflow: hidden;
        word-break: break-word;
      }
      .item {
        min-height: 96px;
        cursor: pointer;
        border-bottom: 1px solid #ebebeb;
        list-style: none;
      }
      .list-location {
        width: 456px;
        height: 100%;
        overflow-y: scroll;
        /* padding: 0 0 80px!important;  */
      }
      .form-btn {
        right: 0;
        bottom: 0;
        left: 0;
        z-index: 2;
        width: 458px;
        height: 80px;
        padding: 16px;
        background: #fff;
      }
      .select-btn {
        width: 100%;
        height: 48px;
        font-size: 14px;
        font-weight: 700;
        color: #000;
        text-align: center;
        white-space: nowrap;
        cursor: pointer;
        background-color: #fecf2d;
        border: 1px solid transparent;
        border-radius: 4px;
        box-shadow: none;
      }

    </style>
  </head>
  <body>
    <div class="content">
      <div class="title-box">
          <p class="inspection-title">Select Inspection Center</p>
          <div class="state-btn">
            <p class="state-info">
              <span class="iconify" data-icon="entypo:location-pin"></span>
              <span class="state-value">State (0)</span>
              <span class="iconify" data-icon="ant-design:caret-down-filled"></span>
            </p>
          </div>
      </div>
      <div class="scroll-location">
          <ul class="list-location">
              <li class="item">
                <div class="details">
                  <img class="location-image" src="assets/no-valuation.svg"/>
                  <div class="location-details">
                    <p class="location-name"> Carsome - Rawang</p>
                    <p class="location-address">Jalan 123, Taman 321</p>
                  </div>
                </div>
              </li>
              <li class="item">
                <div class="details">
                  <img class="location-image" src="assets/no-valuation.svg"/>
                  <div class="location-details">
                    <p class="location-name"> Carsome - Rawang</p>
                    <p class="location-address">Jalan 123, Taman 321</p>
                  </div>
                </div>
              </li>
              <li class="item">
                <div class="details">
                  <img class="location-image" src="assets/no-valuation.svg"/>
                  <div class="location-details">
                    <p class="location-name"> Carsome - Rawang</p>
                    <p class="location-address">Jalan 123, Taman 321</p>
                  </div>
                </div>
              </li>
              <li class="item">
                <div class="details">
                  <img class="location-image" src="assets/no-valuation.svg"/>
                  <div class="location-details">
                    <p class="location-name"> Carsome - Rawang</p>
                    <p class="location-address">Jalan 123, Taman 321</p>
                  </div>
                </div>
              </li>
              <li class="item">
                <div class="details">
                  <img class="location-image" src="assets/no-valuation.svg"/>
                  <div class="location-details">
                    <p class="location-name"> Carsome - Rawang</p>
                    <p class="location-address">Jalan 123, Taman 321</p>
                  </div>
                </div>
              </li>
          </ul>
      </div>
      <div class="form-btn">
          <button class="select-btn">Select</button>
      </div>
    </div>
  </body>
</html>
